// Module Author: Biju G.C.  2003.0721
// License: The Mozilla Public License ( http://www.mozilla.org/MPL/ )
// Alternate License: GPL (The all time latest at http://www.gnu.org/copyleft/gpl.html ) 
// Homepage: http://quicktools.mozdev.org/


// Define all constants used in Macro Editor
// Author: Biju G.C. 2003.0721
var MacroConst = 
{
  PREF_INT    : 64,
  PREFIX      : 'macro.',
  ITEMPREFIX  : 'items.',
  TOPSEP      : 'topsep',
  MENUSUFIX   : '.menuitem',
  MACROCOUNT  : 30

}


// Declare object for all other settings in Macro Editor 
// Author: Biju G.C. 2003.0721
var MacroSettings = {};



// Instance Macro  Profile Branch
// Author: Biju G.C. 2003.0721
MacroSettings.PrefObj = Components.classes["@mozilla.org/preferences-service;1"]
                                   .getService(Components.interfaces.nsIPrefService);


MacroSettings.PrefObjMacro = MacroSettings.PrefObj 
                                    .getBranch(MacroConst.PREFIX);

MacroSettings.PrefObjMacroItem = MacroSettings.PrefObj
                                    .getBranch(MacroConst.PREFIX + MacroConst.ITEMPREFIX);

// List of Macro menu items
// Author: Biju G.C. 2003.0721
MacroSettings.menuitems = {};
